/****************************************************
 * Code needed for specset and related functions
 *
 * There is no reason this has to be separated from specset.c;
 * I have it this way because of several special OLC functions
 * I've made.
 ****************************************************/

/* External Functions */

/*mobs*/
SPECIAL(receptionist);
SPECIAL(postmaster);
SPECIAL(cryogenicist);
SPECIAL(shop_keeper);  /*NOTE: just assigning this to a mob will NOT make him a functioning storekeeper*/
SPECIAL(guild);
SPECIAL(snake);
SPECIAL(thief);
SPECIAL(magic_user);
SPECIAL(guild_guard);
SPECIAL(fido);
SPECIAL(janitor);
SPECIAL(cityguard);
SPECIAL(travelagent);

/*objects*/
SPECIAL(bank);
SPECIAL(tokens);
SPECIAL(gen_board);
SPECIAL(portal);

/*rooms*/
SPECIAL(dump);
SPECIAL(pet_shops);  /*NOTE:  just assigning this to a room will NOT make it a functioning pet store.*/
SPECIAL(gohome_d);
SPECIAL(gohome_u);
SPECIAL(gohome_n);
SPECIAL(gohome_e);
SPECIAL(gohome_w);
SPECIAL(gohome_s);
SPECIAL(random_exit);

/*
 The first spec for all categories is NULL, so these
 numbers are the actual spec. count + 1
*/
#define NUM_MOB_SPECS  14 
#define NUM_OBJ_SPECS  5
#define NUM_ROOM_SPECS 10

/*
  sfunc = the function name from SPECIAL(x)
  name = what you want to have appear in lists, stats etc.
*/
struct specproc_info {
  int (* sfunc)(struct char_data *,void *,int ,char *);
  char *name;
};
